IdeaModuleIml (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.idea.model

## [Java] Class IdeaModuleIml

- org.gradle.plugins.ide.idea.model.IdeaModuleIml

- Models the generation/parsing/merging capabilities of an IDEA module.

  For examples, see docs for IdeaModule.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `IdeaModuleIml (org.gradle.internal.xml.XmlTransformer xmlTransformer, File generateTo)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getGenerateTo()` Folder where the *.iml file will be generated to
    `void` | `setGenerateTo(File generateTo)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class XmlFileContentMerger` | `getXmlTransformer, setXmlTransformer, withXml, withXml`
    `class FileContentMerger` | `beforeMerged, getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged, whenMerged`
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`

- - ### Constructor Detail

    - #### public IdeaModuleIml(org.gradle.internal.xml.XmlTransformer xmlTransformer, File generateTo)

  - ### Method Detail

    - #### public File getGenerateTo()

      Folder where the *.iml file will be generated to

      For example see docs for IdeaModule

    - #### public void setGenerateTo(File generateTo)